%define major 2
%define libname %mklibname ndpi %{major}
%define develname %mklibname ndpi -d

Summary:	Open source deep packet inspection
Name:		libndpi
Version:	1.6.0
Release:	%mkrel 2
License:	LGPLv3
Group:		System/Libraries
URL:		http://www.ntop.org/products/ndpi/
Source0:	http://downloads.sourceforge.net/project/ntop/nDPI/nDPI-1.6.tar.gz
Patch0:		bump-soname.patch
Patch1:		json-c-use-system.patch
Patch2:		example-link-dynamic.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	json-c-devel
BuildRequires:	pcap-devel

%description
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

%package -n	%{libname}
Summary:	Open source deep packet inspection library
Group:          System/Libraries
Obsoletes:	%{mklibname ndpi 1} < 1.6.0

%description -n	%{libname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.

This package provides the shared %{name} library.

%package -n	%{develname}
Summary:	Header files and libraries for developing applications for nDPI
Group:		Development/C
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
nDPI is a ntop-maintained superset of the popular OpenDPI library. Released
under the GPL license, its goal is to extend the original library by adding
new protocols that are otherwise available only on the paid version of OpenDPI.
In addition to Unix platforms, we also support Windows, in order to provide
you a cross-platform DPI experience. Furthermore, we have modified nDPI do be
more suitable for traffic monitoring applications, by disabling specific
features that slow down the DPI engine while being them un-necessary for
network traffic monitoring.

nDPI is used by both ntop and nProbe for adding application-layer detection of
protocols, regardless of the port being used. This means that it is possible
to both detect known protocols on non-standard ports (e.g. detect http non
ports other than 80), and also the opposite (e.g. detect Skype traffic on port
80). This is because nowadays the concept of port=application no longer holds.


These are the header files and libraries for developing applications for %{name}.

%prep

%setup -q -n nDPI-1.6
%patch0 -p1
%patch1 -p1
%patch2 -p1

# missing symbols (remove this later)
#echo ndpi_protocol2name >> libndpi.sym
#echo ndpi_set_detected_protocol >> libndpi.sym

%build
export LIBS="-lpthread"
autoreconf -fi
%configure2_5x \
    --enable-examples-dynamic-linking \
    --with-system-json-c \
    --disable-static

%make

%install

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

pushd example
    rm -rf ndpiReader .libs .deps *.*o
popd

rm -f %{buildroot}%{_bindir}/ndpiReader

%files -n %{libname}
%doc README* COPYING
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog example
%dir %{_includedir}/libndpi-%{version}
%dir %{_includedir}/libndpi-%{version}/libndpi
%{_includedir}/libndpi-%{version}/libndpi/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Fri Feb 12 2016 luigiwalser <luigiwalser> 1.6.0-2.mga6
+ Revision: 956293
- obsolete lib package from duplicate ndpi srpm

* Wed Nov 11 2015 oden <oden> 1.6.0-1.mga6
+ Revision: 902527
- 1.6.0
- sync patches with debian
- imported package libndpi

